summaryrefslogtreecommitdiffstats
path: root/csit/install-robotframework.sh
diff options
context:
space:
mode:
authormpriyank <priyank.maheshwari@est.tech>2022-03-11 17:22:24 +0530
committermpriyank <priyank.maheshwari@est.tech>2022-03-16 19:27:06 +0530
commit220711e2b749fb0a8c5b769e8601fb26fce86645 (patch)
tree2bd5358f454ba9b1d589a8359cc60aa576167d14 /csit/install-robotframework.sh
parente830dcec1f8cdeb4c6251efd4ce0e9264356ab42 (diff)
CSIT setup in NCMP-DMI-PLUGIN Repo
- Infrastructure code for ncmp-dmi CSITs. - Enhanced timeout message for sdnc during setup. - Basic CSITs for dmi health and get modules from SDNC. - Fixed shell script permissions from 100644 to 100755. - Fixing .gitignore as it was ignoring *.zip format and we need key0.zip as part of SDNC CSIT setup. Issue-ID: CPS-930 Change-Id: I39054e3ec2c9281821ca146831ae6cc82d674924 Signed-off-by: mpriyank <priyank.maheshwari@est.tech>
Diffstat (limited to 'csit/install-robotframework.sh')
-rwxr-xr-xcsit/install-robotframework.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
new file mode 100755
index 00000000..dada6221
--- /dev/null
+++ b/csit/install-robotframework.sh
@@ -0,0 +1,16 @@
+ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+
+echo "Python version is: $(python3 --version)"
+
+python3 -m venv "${ROBOT_VENV}"
+source "${ROBOT_VENV}/bin/activate"
+
+set -exu
+
+# Make sure pip3 itself us up-to-date.
+python3 -m pip install --upgrade pip
+
+echo "Installing Python Requirements"
+python3 -m pip install -r ${WORKSPACE}/pylibs.txt
+python3 -m pip freeze